%global _empty_manifest_terminate_build 0
Name:           python-nocaselist
Version:        1.0.6
Release:        1
Summary:        A case-insensitive list for Python
License:        Apache-2.0
URL:            https://github.com/pywbem/nocaselist
Source0:        https://github.com/pywbem/nocaselist/archive/refs/tags/nocaselist-1.0.6.tar.gz
BuildArch:      noarch
%description
A case-insensitive list for Python.

%package -n python3-nocaselist
Summary:        A case-insensitive list for Python
Provides:       python-nocaselist
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
# Tests running requires
BuildRequires:  python3-packaging
BuildRequires:  python3-six
BuildRequires:  python3-pathlib2
BuildRequires:  python3-pytest
BuildRequires:  python3-virtualenv
BuildRequires:  python3-pluggy
# Tests running requires
Requires:       python3-packaging
Requires:       python3-six
Requires:       python3-pathlib2
Requires:       python3-pytest
Requires:       python3-virtualenv
Requires:       python3-pluggy
%description -n python3-nocaselist
A case-insensitive list for Python.

%package help
Summary:        A case-insensitive list for Python
Provides:       python3-nocaselist-doc
%description help
A case-insensitive list for Python.

%prep
%autosetup -n nocaselist-1.0.6 -p1

%build
%py3_build


%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%check
%{__python3} setup.py test

%files -n python3-nocaselist -f filelist.lst
%dir %{python3_sitelib}/*


%files help -f doclist.lst
%{_docdir}/*

%changelog
* Mon Nov 21 2022 lvfei <lvfei@kylinos.cn> - 1.0.6-1
- update to 1.0.6

* Fri Jul 30 2021 chenyanpanHW <chenyanpan@huawei.com> - 1.0.4-2
- DESC: delete -S git from %autosetup

* Mon Jul 19 2021 OpenStack_SIG <openstack@openeuler.org> - 1.0.4-1
- Package Spec generate
